> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topograph.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get usage report per workspace



## OpenAPI

````yaml get /v2/workspaces/usage
openapi: 3.0.0
info:
  title: Topograph
  description: The Topograph API
  version: '0.1'
  contact: {}
servers:
  - url: https://api.topograph.co
security:
  - x-api-key: []
tags: []
paths:
  /v2/workspaces/usage:
    get:
      tags:
        - Workspaces
      summary: Get usage report per workspace
      operationId: WorkspaceController_getUsageReport_v2
      parameters:
        - name: startDate
          required: false
          in: query
          schema:
            type: string
        - name: endDate
          required: false
          in: query
          schema:
            type: string
        - name: workspace
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````